#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;//broj vagi
    cin>>n;
    int m;
    cin>>m;//broj upita
    int donjag[n+1];
    int gornjag[n+1];
    for(int i=1;i<=n;i++){
        cin>>donjag[i];
        cin>>gornjag[i];
    }
    int a,b,t,tr=0;
    int resenje[m+1];
    for(int i=1;i<=m;i++){
        cin>>a>>b>>t;
        for(int j=a;j<=b;j++){
            if(donjag[j]<=t && gornjag[j]>=t) tr++;
        }
        resenje[i]=tr;
        tr=0;
    }
    for(int i=1;i<=m;i++){
        cout<<resenje[i]<<endl;
    }
}